--- include/xconfig.h.in
+++ include/xconfig.h.in
@@ -20,97 +20,97 @@
  * Header Files
  */
 #define PROTOTYPES 1	/* if Compiler supports ANSI C prototypes */
-#cmakedefine HAVE_STDARG_H
+#cmakedefine HAVE_STDARG_H 1
 	/* to use stdarg.h, else use varargs.h NOTE: SaberC on a Sun has prototypes but no stdarg.h */
 
-#cmakedefine HAVE_STDLIB_H
+#cmakedefine HAVE_STDLIB_H 1
 	/* to use general utility defines (malloc(), size_t ...) and general C library prototypes */
 
-#cmakedefine HAVE_STRING_H
+#cmakedefine HAVE_STRING_H 1
 	/* to get NULL and ANSI C string function prototypes */
-#cmakedefine HAVE_STRINGS_H
+#cmakedefine HAVE_STRINGS_H 1
 	/* to get BSD string function prototypes */
 #define STDC_HEADERS 1	/* if ANSI compliant stdlib.h, stdarg.h, string.h, float.h are present */
-#cmakedefine HAVE_UNISTD_H
+#cmakedefine HAVE_UNISTD_H 1
 	/* to get POSIX syscall prototypes XXX sys/file.h fcntl.h (unixstd/fctl)XXX*/
-#cmakedefine HAVE_GETOPT_H
+#cmakedefine HAVE_GETOPT_H 1
 	/* to get getopt() prototype from getopt.h instead of unistd.h */
-#cmakedefine HAVE_LIMITS_H
+#cmakedefine HAVE_LIMITS_H 1
 	/* to get POSIX numeric limits constants */
 
-#cmakedefine HAVE_FCNTL_H
+#cmakedefine HAVE_FCNTL_H 1
 	/* to access, O_XXX constants for open(), otherwise use sys/file.h */
-#cmakedefine HAVE_SYS_FILE_H
+#cmakedefine HAVE_SYS_FILE_H 1
 	/* to use O_XXX constants for open() and flock() defs */
-#cmakedefine HAVE_INTTYPES_H
+#cmakedefine HAVE_INTTYPES_H 1
 	/* to use UNIX-98 inttypes.h */
-#cmakedefine HAVE_DIRENT_H
+#cmakedefine HAVE_DIRENT_H 1
 	/* to use POSIX dirent.h */
 
-#cmakedefine HAVE_ALLOCA_H
+#cmakedefine HAVE_ALLOCA_H 1
 	/* if alloca.h exists */
 
-#cmakedefine HAVE_TERMIOS_H
+#cmakedefine HAVE_TERMIOS_H 1
 	/* to use POSIX termios.h */
-#cmakedefine HAVE_TERMIO_H
+#cmakedefine HAVE_TERMIO_H 1
 	/* to use SVR4 termio.h */
-#cmakedefine HAVE_PWD_H
+#cmakedefine HAVE_PWD_H 1
 	/* if pwd.h exists */
 
-#cmakedefine HAVE_SYS_TIME_H
+#cmakedefine HAVE_SYS_TIME_H 1
 	/* may include sys/time.h for struct timeval */
 #define TIME_WITH_SYS_TIME 1   /* may include both time.h and sys/time.h */
 
 #define HAVE_UTIME 1		/* to use AT&T utime() and utimbuf */
 #define HAVE_UTIMES 1		/* to use BSD utimes() and sys/time.h */
 
-#cmakedefine HAVE_UTIME_H
+#cmakedefine HAVE_UTIME_H 1
 		/* to use utime.h for the utimbuf structure declaration, else declare struct utimbuf yourself */
 
-#cmakedefine HAVE_SYS_IOCTL_H
+#cmakedefine HAVE_SYS_IOCTL_H 1
 		/* if sys/ioctl.h is present */
 
-#cmakedefine HAVE_SYS_PARAM_H
+#cmakedefine HAVE_SYS_PARAM_H 1
 		/* if sys/param.h is present */
 
 /* to use wait.h for prototypes and union wait */
-#cmakedefine HAVE_WAIT_H
+#cmakedefine HAVE_WAIT_H 1
 /* else use sys/wait.h */
 #cmakedefine define HAVE_SYS_WAIT_H
-#cmakedefine HAVE_SYS_RESOURCE_H
+#cmakedefine HAVE_SYS_RESOURCE_H 1
 	/* to use sys/resource.h for rlimit() and wait3() */
 
-#cmakedefine HAVE_SYS_UTSNAME_H
+#cmakedefine HAVE_SYS_UTSNAME_H 1
 	/* to use uname() */
 
-#cmakedefine HAVE_SYS_MTIO_H
+#cmakedefine HAVE_SYS_MTIO_H 1
 		/* to use mtio definitions from sys/mtio.h */
 
-#cmakedefine HAVE_SYS_MMAN_H
+#cmakedefine HAVE_SYS_MMAN_H 1
 		/* to use definitions for mmap()/madvise()... from sys/mman.h */
 #define MAJOR_IN_SYSMACROS 1	/* if we should include sys/sysmacros.h to get major()/minor()/makedev() */
-#cmakedefine HAVE_SYS_DKIO_H
-#cmakedefine HAVE_SUN_DKIO_H
-#cmakedefine HAVE_POLL_H
+#cmakedefine HAVE_SYS_DKIO_H 1
+#cmakedefine HAVE_SUN_DKIO_H 1
+#cmakedefine HAVE_POLL_H 1
 		/* if we may include poll.h to use poll() */
-#cmakedefine HAVE_SYS_POLL_H
+#cmakedefine HAVE_SYS_POLL_H 1
 		/* if we may include sys/poll.h to use poll() */
 
 
-#cmakedefine HAVE_NETDB_H
+#cmakedefine HAVE_NETDB_H 1
 		/* if we have netdb.h for get*by*() and rcmd() */
-#cmakedefine HAVE_SYS_SOCKET_H
+#cmakedefine HAVE_SYS_SOCKET_H 1
 	/* if we have sys/socket.h for socket() */
 
-#cmakedefine HAVE_LINUX_PG_H
+#cmakedefine HAVE_LINUX_PG_H 1
 		/* if we may include linux/pg.h for PP ATAPI sypport */
 #define HAVE_ERRNO_DEF 1		/* if we have errno definition in <errno.h> */
 
-#cmakedefine HAVE_ARPA_INET_H
+#cmakedefine HAVE_ARPA_INET_H 1
 		/* if we have arpa/inet.h (missing on BeOS) */
 				/* BeOS has inet_ntoa() in <netdb.h> */
 
-#cmakedefine HAVE_ICONV_H
+#cmakedefine HAVE_ICONV_H 1
 
 /*
  * Convert to SCHILY name
@@ -129,7 +129,7 @@
 #define HAVE_MEMMOVE 1		/* memmove() is present in libc */
 
 #define HAVE_MLOCK 1		/* mlock() is present in libc */
-#cmakedefine HAVE_MLOCKALL
+#cmakedefine HAVE_MLOCKALL 1
 	/* working mlockall() is present in libc */
 #define HAVE_FLOCK 1		/* *BSD flock() is present in libc */
 #define HAVE_SETREUID 1		/* setreuid() is present in libc */
@@ -158,9 +158,9 @@
 #define HAVE_READLINK 1		/* readlink() is present in libc */
 #define HAVE_RENAME 1		/* rename() is present in libc */
 
-#cmakedefine HAVE_RAND 
+#cmakedefine HAVE_RAND 1
 		/* rand() is present in libc */
-#cmakedefine HAVE_DRAND48
+#cmakedefine HAVE_DRAND48 1
   /* drand48() is present in libc */
 #define HAVE_SETPRIORITY 1		/* setpriority() is present in libc */
 #define HAVE_NICE 1		/* nice() is present in libc */
@@ -192,10 +192,10 @@
 #define HAVE_SOCKETPAIR 1		/* socketpair() is present in libc/libsocket */
 #define HAVE_GETSERVBYNAME 1	/* getservbyname() is present in libc/libsocket */
 /* inet_ntoa() is present in libc/libsocket */
-#cmakedefine HAVE_INET_NTOA
+#cmakedefine HAVE_INET_NTOA 1
 
 /* getnameinfo() is present in libc/libsocket */
-#cmakedefine define HAVE_GETNAMEINFO
+#cmakedefine define HAVE_GETNAMEINFO 1
 
 /*
  * We need to test for the include files too because Apollo Domain/OS has a
@@ -221,7 +221,7 @@
  */
 
 /* have union wait in wait.h */
-#cmakedefine HAVE_UNION_WAIT
+#cmakedefine HAVE_UNION_WAIT 1
 
 #define HAVE_ST_NSEC 1		/* if struct stat contains st_atim.tv_nsec (nanosecs) */
 #define HAVE_ST_RDEV 1		/* if struct stat contains st_rdev */
@@ -231,9 +231,9 @@
  * Byteorder/Bitorder
  */
 /* If using network byte order             */
-#cmakedefine WORDS_BIGENDIAN
+#cmakedefine WORDS_BIGENDIAN 1
 /* If high bits come first in structures   */
-#cmakedefine BITFIELDS_HTOL
+#cmakedefine BITFIELDS_HTOL 1
 #define	HAVE_C_BIGENDIAN	/* Flag that WORDS_BIGENDIAN test was done */
 #define	HAVE_C_BITFIELDS	/* Flag that BITFIELDS_HTOL test was done  */
 
